Main Page Modules Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# deFileMemory Class Reference

`#include <deFile_priv.hpp>`

Inheritance diagram for deFileMemory:

[legend]
Collaboration diagram for deFileMemory:

[legend]
List of all members.

## Public Member Functions
| deFileMemory ()
| ~deFileMemory ()
int | Release ()
void * | GetInterface (IdeFile::interface_t i)
deBoolean | Open ()
deBoolean | Open (long Length)
deBoolean | Open (void *Buffer, long Length)
deBoolean | Open (IdeFileSystem *BaseFS, char *Filename, long OpenFlags)
| open a file
deBoolean | Open (IdeFile *BaseFile)
deBoolean | Close ()
| close an open file
long | Read (void *Buffer, long Length)
| read a file
long | Write (void *Buffer, long Length)
| write a file
long | GetPosition ()
| get file position
long | SetPosition (long NewPosition, IdeFile::Seek SeekType)
| set file position
long | GetSize ()
| get a file's size
deBoolean | SetSize (long NewSize)
| set a file's length
s64 | GetTime ()
| get a file's date/time
deBoolean | SetTime (s64 Time)
| set a file's date/time
deBoolean | GetProperties (deFileProperties *Properties)
| get current file's properties
long | GetOpenFlags ()
| get the open flags
## Private Attributes
BYTE * | priv_Buffer
deBoolean | priv_OwnBuffer
long | priv_AllocSize
long | priv_KnownSize
long | priv_NewAllocSize
long | priv_Position
IdeFile * | priv_BaseFile
IdeFileSystem * | priv_BaseFS
long | priv_OpenFlags

## Constructor & Destructor Documentation

deFileMemory::deFileMemory | ( |  | ) |

deFileMemory::~deFileMemory | ( |  | ) |

## Member Function Documentation

deBoolean deFileMemory::Close | ( |  | ) | `[virtual]`

| close an open file Reimplemented from deFile.

void * deFileMemory::GetInterface | ( | IdeFile::interface_t | i | ) | `[virtual]`

| Reimplemented from deFile.

long deFileMemory::GetOpenFlags | ( |  | ) | `[virtual]`

| get the open flags Reimplemented from deFile.

long deFileMemory::GetPosition | ( |  | ) | `[virtual]`

| get file position Reimplemented from deFile.

deBoolean deFileMemory::GetProperties | ( | deFileProperties * | Properties | ) | `[virtual]`

| get current file's properties Reimplemented from deFile.

long deFileMemory::GetSize | ( |  | ) | `[virtual]`

| get a file's size Reimplemented from deFile.

s64 deFileMemory::GetTime | ( |  | ) | `[virtual]`

| get a file's date/time Reimplemented from deFile.

deBoolean deFileMemory::Open | ( | IdeFile * | BaseFile | ) | `[virtual]`

| Implements IdeFileMemory.

deBoolean deFileMemory::Open | ( | IdeFileSystem * | BaseFS,
|  | char * | Filename,
|  | long | OpenFlags
| ) | `[virtual]`

| open a file Implements IdeFileMemory.

deBoolean deFileMemory::Open | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| Implements IdeFileMemory.

deBoolean deFileMemory::Open | ( | long | Length | ) | `[virtual]`

| Implements IdeFileMemory.

deBoolean deFileMemory::Open | ( |  | ) | `[virtual]`

| Implements IdeFileMemory.

long deFileMemory::Read | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| read a file Reimplemented from deFile.

int deFileMemory::Release | ( |  | ) | `[virtual]`

| Reimplemented from deFile.

long deFileMemory::SetPosition | ( | long | NewPosition,
|  | IdeFile::Seek | SeekType
| ) | `[virtual]`

| set file position Reimplemented from deFile.

deBoolean deFileMemory::SetSize | ( | long | NewSize | ) | `[virtual]`

| set a file's length Reimplemented from deFile.

deBoolean deFileMemory::SetTime | ( | s64 | Time | ) | `[virtual]`

| set a file's date/time Reimplemented from deFile.

long deFileMemory::Write | ( | void * | Buffer,
|  | long | Length
| ) | `[virtual]`

| write a file Reimplemented from deFile.

## Member Data Documentation

long deFileMemory::priv_AllocSize`[private]`

IdeFile* deFileMemory::priv_BaseFile`[private]`

IdeFileSystem* deFileMemory::priv_BaseFS`[private]`

BYTE* deFileMemory::priv_Buffer`[private]`

long deFileMemory::priv_KnownSize`[private]`

long deFileMemory::priv_NewAllocSize`[private]`

long deFileMemory::priv_OpenFlags`[private]`

deBoolean deFileMemory::priv_OwnBuffer`[private]`

long deFileMemory::priv_Position`[private]`

The documentation for this class was generated from the following files:

- deFile_priv.hpp
- deFileMemory.cpp